question-mark
Stuck on an issue?

Lightrun Answers was designed to reduce the constant googling that comes with debugging 3rd party libraries. It collects links to all the places you might be looking at while hunting down a tough bug.

And, if you’re still stuck at the end, we’re happy to hop on a call to see how we can help out.

Failed to run the workspace: "Installation 'org.eclipse.che.exec' failed, script exit code is 127"

See original GitHub issue

Description

I started che chart using che-server:latest ( same for nightly ) with tls enabled and self signed certificate, initially che-server pod doesn’t come up and got error :

Caused by: java.lang.RuntimeException: Exception while retrieving OpenId configuration from endpoint: https://keycloak.shared.devlab.test.vlab.com/auth/realms/che/.well-known/openid-configuration

i managed to solve that by creating a generic secret that wrap ca.crt and add appropriate env variable CHE_SELF__SIGNED__CERT in the deployments and che-server pod started correctly, but i got antoher error while creating the workspace and it’s probably related to certs also, So what about the secret i’m using for ingress ? should che be aware of it also ? where am I going wrong ?

Diagnostics

Exec Agent binary is downloaded remotely

Certificate File /tmp/che/secret/ca.crt will be used for binaries downloading

gzip: stdin: unexpected end of file

/bin/sh: 244: /home/user/che/exec-agent/che-exec-agent: not found

tar: Child returned status 1

tar: Error is not recoverable: exiting now

Error: Failed to run the workspace: "Installation 'org.eclipse.che.exec' failed, script exit code is 127"

Issue Analytics

  • State:closed
  • Created 5 years ago
  • Comments:10 (5 by maintainers)

github_iconTop GitHub Comments

1reaction
mmelianicommented, Feb 20, 2019

i investigated further and was a permission denied so always set security context to 1000 in order to start correctly workspaces Thanks for you support will close the ticket

0reactions
sleshchenkocommented, Feb 20, 2019

@mmeliani New error message that I see

{"jsonrpc":"2.0","method":"installer/log","params":{"machineName":"dev-machine","runtimeId":{"workspaceId":"workspacegtpqri3p4awwtuhl","envName":"default","ownerId":"47f31d28-d997-4354-9584-0dab05f6cb59"},"time":"2019-02-19T15:13:17.712260179Z","text":"curl: (37) Couldn't open file /home/user/che/exec-agent-linux_amd64.tar.gz","installer":"org.eclipse.che.exec","stream":"STDERR"}}


curl: (37) Couldn't open file /home/user/che/exec-agent-linux_amd64.tar.gz

But it does not help us to find a cause. Actually, we don’t see an original error that happens during binaries downloading because installer script is too complicated and I missed that, in fact, there is another curl that does downloading, and that one we updated just help unarchive binaries.

You can update installers with the following changes

Exec installer
{
  "version": "1.0.1",
  "name": "Exec",
  "dependencies": [],
  "properties": {},
  "servers": {
    "exec-agent/ws": {
      "attributes": {
        "secure": "true",
        "unsecuredPaths": "/liveness"
      },
      "port": "4412/tcp",
      "path": "/connect",
      "protocol": "ws"
    },
    "exec-agent/http": {
      "attributes": {
        "secure": "true",
        "unsecuredPaths": "/liveness"
      },
      "port": "4412/tcp",
      "path": "/process",
      "protocol": "http"
    }
  },
  "id": "org.eclipse.che.exec",
  "description": "Agent for command execution",
  "script": "#\n# Copyright (c) 2012-2018 Red Hat, Inc.\n# This program and the accompanying materials are made\n# available under the terms of the Eclipse Public License 2.0\n# which is available at https://www.eclipse.org/legal/epl-2.0/\n#\n# SPDX-License-Identifier: EPL-2.0\n#\n# Contributors:\n#   Red Hat, Inc. - initial API and implementation\n#\n\n\nis_current_user_root() {\n    test \"$(id -u)\" = 0\n}\n\nis_current_user_sudoer() {\n    sudo -n true > /dev/null 2>&1\n}\n\nset_sudo_command() {\n    if is_current_user_sudoer && ! is_current_user_root; then SUDO=\"sudo -E\"; else unset SUDO; fi\n}\n\nset_sudo_command\nunset PACKAGES\ncommand -v tar >/dev/null 2>&1 || { PACKAGES=${PACKAGES}\" tar\"; }\nCURL_INSTALLED=false\nWGET_INSTALLED=false\ncommand -v curl >/dev/null 2>&1 && CURL_INSTALLED=true\ncommand -v wget >/dev/null 2>&1 && WGET_INSTALLED=true\n\n# no curl, no wget, install curl\nif [ ${CURL_INSTALLED} = false ] && [ ${WGET_INSTALLED} = false ]; then\n  PACKAGES=${PACKAGES}\" curl\";\n  CURL_INSTALLED=true\nfi\n\nCHE_DIR=$HOME/che\nLOCAL_AGENT_BINARIES_URI='/mnt/che/exec-agent/exec-agent-${PREFIX}.tar.gz'\nDOWNLOAD_AGENT_BINARIES_URI='${WORKSPACE_MASTER_URI}/agent-binaries/${PREFIX}/exec/exec-agent-${PREFIX}.tar.gz'\nTARGET_AGENT_BINARIES_URI='file://${CHE_DIR}/exec-agent-${PREFIX}.tar.gz'\n\nif [ -f /etc/centos-release ]; then\n    FILE=\"/etc/centos-release\"\n    LINUX_TYPE=$(cat $FILE | awk '{print $1}')\n elif [ -f /etc/redhat-release ]; then\n    FILE=\"/etc/redhat-release\"\n    LINUX_TYPE=$(cat $FILE | cut -c 1-8)\n else\n    FILE=\"/etc/os-release\"\n    LINUX_TYPE=$(cat $FILE | grep ^ID= | tr '[:upper:]' '[:lower:]')\n    LINUX_VERSION=$(cat $FILE | grep ^VERSION_ID=)\nfi\nMACHINE_TYPE=$(uname -m)\nSHELL_INTERPRETER=\"/bin/sh\"\n\nmkdir -p ${CHE_DIR}\n${SUDO} mkdir -p /projects\nif is_current_user_sudoer; then\n  ${SUDO} sh -c \"chown $(id -u -n) /projects\"\nfi\n\n########################\n### Install packages ###\n########################\n\n# Red Hat Enterprise Linux 7\n############################\nif echo ${LINUX_TYPE} | grep -qi \"rhel\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} yum install ${PACKAGES};\n    }\n\n# Ubuntu 14.04 16.04 / Linux Mint 17\n####################################\nelif echo ${LINUX_TYPE} | grep -qi \"ubuntu\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} apt-get update;\n        ${SUDO} apt-get -y install ${PACKAGES};\n    }\n\n# Debian 8\n##########\nelif echo ${LINUX_TYPE} | grep -qi \"debian\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} apt-get update;\n        ${SUDO} apt-get -y install ${PACKAGES};\n    }\n\n# Fedora 23\n###########\nelif echo ${LINUX_TYPE} | grep -qi \"fedora\"; then\n    command -v ps >/dev/null 2>&1 || { PACKAGES=${PACKAGES}\" procps-ng\"; }\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} dnf -y install ${PACKAGES};\n    }\n\n# CentOS 7.1 & Oracle Linux 7.1\n###############################\nelif echo ${LINUX_TYPE} | grep -qi \"centos\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} yum -y install ${PACKAGES};\n    }\n\n# openSUSE 13.2\n###############\nelif echo ${LINUX_TYPE} | grep -qi \"opensuse\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} zypper install -y ${PACKAGES};\n    }\n\n# Alpine 3.3\n############\nelif echo ${LINUX_TYPE} | grep -qi \"alpine\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} apk update\n        ${SUDO} apk add ${PACKAGES};\n    }\n\n# Centos 6.6, 6.7, 6.8\n############\nelif echo ${LINUX_TYPE} | grep -qi \"CentOS\"; then\n     test \"${PACKAGES}\" = \"\" || {\n         ${SUDO} yum -y install ${PACKAGES};\n    }\n\n# Red Hat Enterprise Linux 6\n############################\n\nelif echo ${LINUX_TYPE} | grep -qi \"Red Hat\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} yum install ${PACKAGES};\n    }\n\nelse\n    >&2 echo \"Unrecognized Linux Type\"\n    >&2 cat $FILE\n    exit 1\nfi\n\n\n########################\n### Install Exec agent ###\n########################\nif echo ${MACHINE_TYPE} | grep -qi \"x86_64\"; then\n    PREFIX=linux_amd64\nelif echo ${MACHINE_TYPE} | grep -qi \"arm5\"; then\n    PREFIX=linux_arm7\nelif echo ${MACHINE_TYPE} | grep -qi \"arm6\"; then\n    PREFIX=linux_arm7\nelif echo ${MACHINE_TYPE} | grep -qi \"arm7\"; then\n    PREFIX=linux_arm7\nelif echo ${MACHINE_TYPE} | grep -qi \"armv7l\"; then\n    PREFIX=linux_arm7\nelse\n    >&2 echo \"Unrecognized Machine Type\"\n    >&2 uname -a\n    exit 1\nfi\n\n# Compute URI of workspace master\nWORKSPACE_MASTER_URI=$(echo $CHE_API | cut -d / -f 1-3)\n\n## Evaluate variables now that prefix is defined\neval \"LOCAL_AGENT_BINARIES_URI=${LOCAL_AGENT_BINARIES_URI}\"\neval \"DOWNLOAD_AGENT_BINARIES_URI=${DOWNLOAD_AGENT_BINARIES_URI}\"\neval \"TARGET_AGENT_BINARIES_URI=${TARGET_AGENT_BINARIES_URI}\"\n\nLOCAL_AGENT_PATH=\nif [ -f \"${LOCAL_AGENT_BINARIES_URI}\" ]; then\n    AGENT_BINARIES_URI=\"file://${LOCAL_AGENT_BINARIES_URI}\"\n    LOCAL_AGENT_PATH=${LOCAL_AGENT_BINARIES_URI}\nelif [ -f $(echo \"${LOCAL_AGENT_BINARIES_URI}\" | sed \"s/-${PREFIX}//g\") ]; then\n    AGENT_BINARIES_URI=\"file://\"$(echo \"${LOCAL_AGENT_BINARIES_URI}\" | sed \"s/-${PREFIX}//g\")\n    LOCAL_AGENT_PATH=$(echo \"${LOCAL_AGENT_BINARIES_URI}\" | sed \"s/-${PREFIX}//g\")\nelse\n    AGENT_BINARIES_URI=${DOWNLOAD_AGENT_BINARIES_URI}\nfi\n\n# If file is already on the filesystem, use it\nif [ ! -z ${LOCAL_AGENT_PATH} ]; then\n  tar zxf ${LOCAL_AGENT_PATH} -C ${CHE_DIR}\nelse\n  echo \"Exec Agent binary is downloaded remotely\"\n  # Use curl\n  if [ ${CURL_INSTALLED} = true ]; then\n\n    CA_ARG=\"\"\n    if [ -f /tmp/che/secret/ca.crt ]; then\n      echo \"Certificate File /tmp/che/secret/ca.crt will be used for binaries downloading\"\n      CA_ARG=\"--cacert /tmp/che/secret/ca.crt\"\n    fi\n\n    if curl ${CA_ARG} -o /dev/null --silent --head --fail $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g'); then\n      curl -sSf ${CA_ARG} -o $(echo ${TARGET_AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g' | sed 's/file:\\/\\///g') $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g')\n    elif curl ${CA_ARG} -o /dev/null --silent --head --fail $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g'); then\n      curl -sSf ${CA_ARG} -o $(echo ${TARGET_AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g' | sed 's/file:\\/\\///g') $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g')\n    else\n      # both of test curl commands failed.\n      # perform them without --silent option to propagate errors\n      echo \"Trying: curl -sSf ${CA_ARG} -o /dev/null --head $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g')\"\n      curl -sSf ${CA_ARG} -o /dev/null --head $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g')\n      echo \"Trying: curl -sSf ${CA_ARG} -o /dev/null --head $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g')\"\n      curl -sSf ${CA_ARG} -o /dev/null --head $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g')\n    fi\n    curl -sSf $(echo ${TARGET_AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g') | tar  xzf - -C ${CHE_DIR}\n  else\n    CA_ARG=\"\"\n    if [ -f /tmp/che/secret/ca.crt ]; then\n      echo \"Certificate File /tmp/che/secret/ca.crt will be used for binaries downloading\"\n      CA_ARG=\"--ca-certificate /tmp/che/secret/ca.crt\"\n    fi\n\n    # replace https by http as wget may not be able to handle ssl\n    AGENT_BINARIES_URI=$(echo ${AGENT_BINARIES_URI} | sed 's/https/http/g')\n\n    # use wget\n    WGET_SPIDER=\"wget --spider\"\n    if wget  2>&1 | grep -q BusyBox; then\n      WGET_SPIDER=\"wget -s\"\n    fi\n    LOCAL_DOWNLOAD=$(echo ${TARGET_AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g' | sed 's/file:\\/\\///g')\n    if ${WGET_SPIDER} ${CA_ARG} -q $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g') >/dev/null; then\n      wget ${CA_ARG} -qO ${LOCAL_DOWNLOAD} $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g')\n    elif ${WGET_SPIDER} ${CA_ARG} -q $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g'); then\n      wget ${CA_ARG} -qO- ${LOCAL_DOWNLOAD} $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g')\n    fi\n    tar xzf ${LOCAL_DOWNLOAD} -C ${CHE_DIR}\n  fi\nfi\n\n\n\nif [ -f /bin/bash ]; then\n    SHELL_INTERPRETER=\"/bin/bash\"\nfi\n\nEXEC_AGENT_PORT=${CHE_SERVER_EXEC_AGENT_HTTP_PORT:-4412}\n\n\nLOGS_DIR=''\n## Checks whether workspace logs root exists if it does override exec-agent logs directory otherwise default folder would be used\nif [ -d \"${CHE_WORKSPACE_LOGS_ROOT__DIR}\" ]; then\n   LOGS_DIR=$CHE_WORKSPACE_LOGS_ROOT__DIR/exec-agent\nelse\n   LOGS_DIR=$HOME/che/exec-agent/logs\nfi\n\n$HOME/che/exec-agent/che-exec-agent -addr :${EXEC_AGENT_PORT} -cmd ${SHELL_INTERPRETER} -logs-dir $LOGS_DIR\n"
}
Terminal installer
{
  "version": "1.0.1",
  "name": "Terminal",
  "dependencies": [],
  "properties": {},
  "servers": {
    "terminal": {
      "attributes": {
        "secure": "true",
        "unsecuredPaths": "/liveness"
      },
      "port": "4411/tcp",
      "path": "/pty",
      "protocol": "ws"
    }
  },
  "id": "org.eclipse.che.terminal",
  "description": "Embedded web terminal",
  "script": "#\n# Copyright (c) 2012-2018 Red Hat, Inc.\n# This program and the accompanying materials are made\n# available under the terms of the Eclipse Public License 2.0\n# which is available at https://www.eclipse.org/legal/epl-2.0/\n#\n# SPDX-License-Identifier: EPL-2.0\n#\n# Contributors:\n#   Red Hat, Inc. - initial API and implementation\n#\n\nis_current_user_root() {\n    test \"$(id -u)\" = 0\n}\n\nis_current_user_sudoer() {\n    sudo -n true > /dev/null 2>&1\n}\n\nset_sudo_command() {\n    if is_current_user_sudoer && ! is_current_user_root; then SUDO=\"sudo -E\"; else unset SUDO; fi\n}\n\nset_sudo_command\nunset PACKAGES\ncommand -v tar >/dev/null 2>&1 || { PACKAGES=${PACKAGES}\" tar\"; }\nCURL_INSTALLED=false\nWGET_INSTALLED=false\ncommand -v curl >/dev/null 2>&1 && CURL_INSTALLED=true\ncommand -v wget >/dev/null 2>&1 && WGET_INSTALLED=true\n\n# no curl, no wget, install curl\nif [ ${CURL_INSTALLED} = false ] && [ ${WGET_INSTALLED} = false ]; then\n  PACKAGES=${PACKAGES}\" curl\";\n  CURL_INSTALLED=true\nfi\n\nCHE_DIR=$HOME/che\nLOCAL_AGENT_BINARIES_URI='/mnt/che/terminal/websocket-terminal-${PREFIX}.tar.gz'\nDOWNLOAD_AGENT_BINARIES_URI='${WORKSPACE_MASTER_URI}/agent-binaries/${PREFIX}/terminal/websocket-terminal-${PREFIX}.tar.gz'\nTARGET_AGENT_BINARIES_URI='file://${CHE_DIR}/websocket-terminal-${PREFIX}.tar.gz'\n\nif [ -f /etc/centos-release ]; then\n    FILE=\"/etc/centos-release\"\n    LINUX_TYPE=$(cat $FILE | awk '{print $1}')\n elif [ -f /etc/redhat-release ]; then\n    FILE=\"/etc/redhat-release\"\n    LINUX_TYPE=$(cat $FILE | cut -c 1-8)\n else\n    FILE=\"/etc/os-release\"\n    LINUX_TYPE=$(cat $FILE | grep ^ID= | tr '[:upper:]' '[:lower:]')\n    LINUX_VERSION=$(cat $FILE | grep ^VERSION_ID=)\nfi\nMACHINE_TYPE=$(uname -m)\nSHELL_INTERPRETER=\"/bin/sh\"\n\n\nmkdir -p ${CHE_DIR}\n\n########################\n### Install packages ###\n########################\n\n# Red Hat Enterprise Linux 7 \n############################\nif echo ${LINUX_TYPE} | grep -qi \"rhel\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} yum install ${PACKAGES};\n    }\n\n# Ubuntu 14.04 16.04 / Linux Mint 17 \n####################################\nelif echo ${LINUX_TYPE} | grep -qi \"ubuntu\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} apt-get update;\n        ${SUDO} apt-get -y install ${PACKAGES};\n    }\n\n# Debian 8\n##########\nelif echo ${LINUX_TYPE} | grep -qi \"debian\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} apt-get update;\n        ${SUDO} apt-get -y install ${PACKAGES};\n    }\n\n# Fedora 23 \n###########\nelif echo ${LINUX_TYPE} | grep -qi \"fedora\"; then\n    command -v ps >/dev/null 2>&1 || { PACKAGES=${PACKAGES}\" procps-ng\"; }\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} dnf -y install ${PACKAGES};\n    }\n\n# CentOS 7.1 & Oracle Linux 7.1\n###############################\nelif echo ${LINUX_TYPE} | grep -qi \"centos\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} yum -y install ${PACKAGES};\n    }\n\n# openSUSE 13.2\n###############\nelif echo ${LINUX_TYPE} | grep -qi \"opensuse\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} zypper install -y ${PACKAGES};\n    }\n\n# Alpine 3.3\n############\nelif echo ${LINUX_TYPE} | grep -qi \"alpine\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} apk update\n        ${SUDO} apk add ${PACKAGES};\n    }\n\n# Centos 6.6, 6.7, 6.8\n############\nelif echo ${LINUX_TYPE} | grep -qi \"CentOS\"; then\n     test \"${PACKAGES}\" = \"\" || {\n         ${SUDO} yum -y install ${PACKAGES};\n    }\n\n# Red Hat Enterprise Linux 6 \n############################\n\nelif echo ${LINUX_TYPE} | grep -qi \"Red Hat\"; then\n    test \"${PACKAGES}\" = \"\" || {\n        ${SUDO} yum install ${PACKAGES};\n    }\n\nelse\n    >&2 echo \"Unrecognized Linux Type\"\n    >&2 cat $FILE\n    exit 1\nfi\n\n########################\n### Install Terminal ###\n########################\nif echo ${MACHINE_TYPE} | grep -qi \"x86_64\"; then\n    PREFIX=linux_amd64\nelif echo ${MACHINE_TYPE} | grep -qi \"arm5\"; then\n    PREFIX=linux_arm7\nelif echo ${MACHINE_TYPE} | grep -qi \"arm6\"; then\n    PREFIX=linux_arm7\nelif echo ${MACHINE_TYPE} | grep -qi \"arm7\"; then\n    PREFIX=linux_arm7\nelif echo ${MACHINE_TYPE} | grep -qi \"armv7l\"; then\n    PREFIX=linux_arm7\nelse\n    >&2 echo \"Unrecognized Machine Type\"\n    >&2 uname -a\n    exit 1\nfi\n\n# Compute URI of workspace master\nWORKSPACE_MASTER_URI=$(echo $CHE_API | cut -d / -f 1-3)\n\n## Evaluate variables now that prefix is defined\neval \"LOCAL_AGENT_BINARIES_URI=${LOCAL_AGENT_BINARIES_URI}\"\neval \"DOWNLOAD_AGENT_BINARIES_URI=${DOWNLOAD_AGENT_BINARIES_URI}\"\neval \"TARGET_AGENT_BINARIES_URI=${TARGET_AGENT_BINARIES_URI}\"\n\nLOCAL_AGENT_PATH=\nif [ -f \"${LOCAL_AGENT_BINARIES_URI}\" ]; then\n    AGENT_BINARIES_URI=\"file://${LOCAL_AGENT_BINARIES_URI}\"\n    LOCAL_AGENT_PATH=${LOCAL_AGENT_BINARIES_URI}\nelif [ -f $(echo \"${LOCAL_AGENT_BINARIES_URI}\" | sed \"s/-${PREFIX}//g\") ]; then\n    AGENT_BINARIES_URI=\"file://\"$(echo \"${LOCAL_AGENT_BINARIES_URI}\" | sed \"s/-${PREFIX}//g\")\n    LOCAL_AGENT_PATH=$(echo \"${LOCAL_AGENT_BINARIES_URI}\" | sed \"s/-${PREFIX}//g\")\nelse\n    AGENT_BINARIES_URI=${DOWNLOAD_AGENT_BINARIES_URI}\nfi\n\n# If file is already on the filesystem, use it\nif [ ! -z ${LOCAL_AGENT_PATH} ]; then\n  tar zxf ${LOCAL_AGENT_PATH} -C ${CHE_DIR}\nelse\n  echo \"Terminal Agent binary is downloaded remotely\"\n  # Use curl\n  if [ ${CURL_INSTALLED} = true ]; then\n\n    CA_ARG=\"\"\n    if [ -f /tmp/che/secret/ca.crt ]; then\n      echo \"Certificate File /tmp/che/secret/ca.crt will be used for binaries downloading\"\n      CA_ARG=\"--cacert /tmp/che/secret/ca.crt\"\n    fi\n\n    if curl ${CA_ARG} -o /dev/null --silent --head --fail $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g'); then\n      curl -sSf ${CA_ARG} -o $(echo ${TARGET_AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g' | sed 's/file:\\/\\///g') $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g')\n    elif curl ${CA_ARG} -o /dev/null --silent --head --fail $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g'); then\n      curl -sSf ${CA_ARG} -o $(echo ${TARGET_AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g' | sed 's/file:\\/\\///g') $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g')\n    else\n      # both of test curl commands failed.\n      # perform them without --silent option to propagate errors\n      echo \"Trying: curl -sSf ${CA_ARG} -o /dev/null --head $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g')\"\n      curl -sSf ${CA_ARG} -o /dev/null --head $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g')\n      echo \"Trying: curl -sSf ${CA_ARG} -o /dev/null --head $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g')\"\n      curl -sSf ${CA_ARG} -o /dev/null --head $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g')\n    fi\n    curl -sSf $(echo ${TARGET_AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g') | tar  xzf - -C ${CHE_DIR}\n  else\n    CA_ARG=\"\"\n    if [ -f /tmp/che/secret/ca.crt ]; then\n      echo \"Certificate File /tmp/che/secret/ca.crt will be used for binaries downloading\"\n      CA_ARG=\"--ca-certificate /tmp/che/secret/ca.crt\"\n    fi\n\n    # replace https by http as wget may not be able to handle ssl\n    AGENT_BINARIES_URI=$(echo ${AGENT_BINARIES_URI} | sed 's/https/http/g')\n\n    # use wget\n    WGET_SPIDER=\"wget --spider\"\n    if wget  2>&1 | grep -q BusyBox; then\n      WGET_SPIDER=\"wget -s\"\n    fi\n    LOCAL_DOWNLOAD=$(echo ${TARGET_AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g' | sed 's/file:\\/\\///g')\n    if ${WGET_SPIDER} ${CA_ARG} -q $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g') >/dev/null; then\n      wget ${CA_ARG} -qO ${LOCAL_DOWNLOAD} $(echo ${AGENT_BINARIES_URI} | sed 's/\\${PREFIX}/'${PREFIX}'/g')\n    elif ${WGET_SPIDER} ${CA_ARG} -q $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g'); then\n      wget ${CA_ARG} -qO- ${LOCAL_DOWNLOAD} $(echo ${AGENT_BINARIES_URI} | sed 's/-\\${PREFIX}//g')\n    fi\n    tar xzf ${LOCAL_DOWNLOAD} -C ${CHE_DIR}\n  fi\nfi\n\n\n\nif [ -f /bin/bash ]; then\n    SHELL_INTERPRETER=\"/bin/bash\"\nfi\n\nTERMINAL_PORT=${CHE_SERVER_TERMINAL_PORT:-4411}\n\n$HOME/che/terminal/che-websocket-terminal -addr :${TERMINAL_PORT} -cmd ${SHELL_INTERPRETER}\n"
}

It’s installers content with the following changes applied https://github.com/eclipse/che/pull/12704

Read more comments on GitHub >

github_iconTop Results From Across the Web

Eclipse Make Error 127 - c++ - Stack Overflow
Simple solution really. Turns out I didn't have g++. I installed gcc, and perhapse somebody here knows the difference, if so feel free...
Read more >
Exit code 127 error status in Bash script - LinuxConfig.org
The 127 error code indicates “command not found”. This occurs when any given command within your Bash script or on Bash command line...
Read more >
Eclipse Community Forums: C / C++ IDE (CDT) » Technical error
Quote: The message means that 'sh' couldn't be found. Some project distributions have an installation script named something like bootstrap.sh ...
Read more >
C / C++ IDE (CDT) » eclipse terminates with exit value 127
I was trying to run my C program in eclipse, and I am using an Ubuntu VM. ... Return value 127 in Linux...
Read more >
Runtime.getRuntime().exec() returns exit code 127 on Ubuntu ...
Some Eclipse Foundation pages use cookies to better serve you when you return to the site. You can set your browser to notify...
Read more >

github_iconTop Related Medium Post

No results found

github_iconTop Related StackOverflow Question

No results found

github_iconTroubleshoot Live Code

Lightrun enables developers to add logs, metrics and snapshots to live code - no restarts or redeploys required.
Start Free

github_iconTop Related Reddit Thread

No results found

github_iconTop Related Hackernoon Post

No results found

github_iconTop Related Tweet

No results found

github_iconTop Related Dev.to Post

No results found

github_iconTop Related Hashnode Post

No results found